### Method

# Secret Service prompt_at_dbus_path_sync

#### Declaration [src]

    GVariant*
    secret_service_prompt_at_dbus_path_sync (
      SecretService* self,
      const gchar* prompt_path,
      GCancellable* cancellable,
      const GVariantType* return_type,
      GError** error
    )

#### Description [src]

Perform prompting for a `SecretPrompt`.

Override the `SecretServiceClass` `Secret.ServiceClass.prompt_async` virtual method to change the behavior of the propmting. The default behavior is to simply run `secret_prompt_perform()` on the prompt.

Returns a variant result if the prompt was completed and not dismissed. The type of result depends on the action the prompt is completing, and is defined in the Secret Service DBus API specification.

This method may block and should not be used in user interface threads.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`prompt_path` | `const gchar*`
| The D-Bus object path of the prompt.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`return_type` | `GVariantType`
| The variant type of the prompt result.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GVariant`
| `NULL` if the prompt was dismissed or an error occurred, a variant result if the prompt was successful.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.